summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authordjcb <djcb@djcbsoftware.nl>2016-12-11 18:30:12 +0200
committerdjcb <djcb@djcbsoftware.nl>2016-12-11 18:30:12 +0200
commitedcef28ac420d6caf2ad124260ac2cd5e11482b9 (patch)
treef72a355b7e24c7f0b14ceae9dc910725c7c040ae /autogen.sh
parent1f232b67371f2acbf2a2e5c42ee7233337f0935a (diff)
bump version to 0.9.19, extra warnings
Bump version to 0.9.19; add some extra warnings (using some new m4 macros)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh23
1 files changed, 22 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 0feccc0..225247c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,2 +1,23 @@
#!/bin/sh
-echo "please use 'autoreconf -i'"
+# Run this to generate all the initial makefiles, etc.
+
+test -f mu/mu.cc || {
+ echo "*** Run this script from the top-level mu source directory"
+ exit 1
+}
+
+if test -z `which autoreconf`; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
+fi
+
+rm -rf autom4te.cache
+autoreconf --force --install --verbose || exit $?
+
+if test -z "$*"; then
+ echo "# Configuring without parameters"
+else
+ echo "# Configure with parameters $*"
+fi
+
+./configure $@